LibreOffice: FontInfo Struct Reference

LibreOffice LibreOffice 5.3 SDK API Reference

Public Attributes | List of all members
FontInfo Struct Reference

This structure provides information about a specific font. More...

`import"FontInfo.idl";`

## Public Attributes
Panose | FontDescription
| The PANOSE font classification. More...
string | FamilyName
| The name of the font family. More...
string | StyleName
| The name of the specific font style within its family. More...
long | UnicodeRanges0
| This value specifies which Unicode ranges are supported by this font. More...
long | UnicodeRanges1
long | UnicodeRanges2
long | UnicodeRanges3
::com::sun::star::util::TriState | IsSymbolFont
| Specifies whether the font is a symbol font. More...
::com::sun::star::util::TriState | IsVertical
| Set to true, if the font is usable for vertical text output. More...

## Detailed Description

This structure provides information about a specific font.

Since
  OOo 2.0

## Member Data Documentation

## ◆ FamilyName

string FamilyName

The name of the font family.

The family name is the one normally associated to a font, such as Times New Roman, Thorndale, Andale or Arial.

Note: outlined fonts are now specified with "outline" as part of the family name.

## ◆ FontDescription

Panose FontDescription

The PANOSE font classification.

TODO: Document semantics in Panose.idl

## ◆ IsSymbolFont

::com::sun::star::util::TriState IsSymbolFont

Specifies whether the font is a symbol font.

If yes, text written in this symbol font does not have a specified meaning.

## ◆ IsVertical

::com::sun::star::util::TriState IsVertical

Set to true, if the font is usable for vertical text output.

Vertical fonts have subtle differences to horizontal ones, e.g. rotated or differently shaped glyphs, or special rotated versions of normally upright glyphs (e.g. brackets).

## ◆ StyleName

string StyleName

The name of the specific font style within its family.

For example, oblique, italic, or narrow.

## ◆ UnicodeRanges0

long UnicodeRanges0

This value specifies which Unicode ranges are supported by this font.

This is to be interpreted as a split-up 128-bit value, see Adobe's OpenType specification for the specific meaning of each bit. UnicodeRanges0 contains the least significant bits, UnicodeRanges3 the most significant ones.

const int128 UNICODE_RANGE_BASIC_LATIN = 1; const int128 UNICODE_RANGE_LATIN_SUPPLEMENT = 2; const int128 UNICODE_RANGE_LATIN_EXTENDED_A = 4; const int128 UNICODE_RANGE_LATIN_EXTENDED_B = 4; ... const int128 UNICODE_RANGE_MASK_LATIN = 1; const int128 UNICODE_RANGE_MASK_CJK = (31<<48) + (3<<55) + (1<<59); const int128 UNICODE_RANGE_MASK_CTL = (1<<11) + (1<<13) + (0x3FFF<<15) + (0x0FFF<<70);

## ◆ UnicodeRanges1

long UnicodeRanges1

## ◆ UnicodeRanges2

long UnicodeRanges2

## ◆ UnicodeRanges3

long UnicodeRanges3

The documentation for this struct was generated from the following file:

- com/sun/star/rendering/FontInfo.idl